### Enumeration

# Qmi DeviceExpectedDataFormat

since: 1.14

#### Declaration

    enum Qmi.DeviceExpectedDataFormat

#### Description [src]

Data format expected by the kernel.

<note><para> This type is only applicable when using the qmi_wwan kernel driver. </para></note>.

Available since: 1.14

#### Members

`QMI_DEVICE_EXPECTED_DATA_FORMAT_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.14
`QMI_DEVICE_EXPECTED_DATA_FORMAT_802_3`

  802.3.

  - Value: `1`
  - Available since: 1.14
`QMI_DEVICE_EXPECTED_DATA_FORMAT_RAW_IP`

  Raw IP.

  - Value: `2`
  - Available since: 1.14
`QMI_DEVICE_EXPECTED_DATA_FORMAT_QMAP_PASS_THROUGH`

  QMAP pass-through. Since 1.28.

  - Value: `3`
  - Available since: 1.14

#### Type functions

###### qmi_device_expected_data_format_get_string

Gets the nickname string for the `QmiDeviceExpectedDataFormat` specified at `val`.

since: 1.14